> ## Documentation Index
> Fetch the complete documentation index at: https://help.vori.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List store product history

> Retrieve change history for a specific store product



## OpenAPI

````yaml /api/openapi.json get /v1/store-products/{id}/history
openapi: 3.0.0
info:
  title: Vori API
  description: >-
    Read and manage your store catalog, vendors, and inventory. Requests require
    a bearer token; see "Connect to the Vori REST API" for how to obtain one.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.vori.com
    description: production
security: []
tags: []
paths:
  /v1/store-products/{id}/history:
    get:
      tags:
        - Store products
      summary: List store product history
      description: Retrieve change history for a specific store product
      operationId: listStoreProductHistory
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
            pattern: ^[0-9]+$
        - name: state
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListStoreProductHistoryDto'
        '403':
          description: ''
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/InsufficientPermissionsError'
                  - $ref: '#/components/schemas/NoBannerAssociationError'
        '404':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    ListStoreProductHistoryDto:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/StoreProductHistoryDto'
        rowCount:
          type: integer
      required:
        - data
        - rowCount
    InsufficientPermissionsError:
      type: object
      properties:
        error_code:
          type: string
          enum:
            - insufficient_permissions
        error_details:
          $ref: '#/components/schemas/InsufficientPermissionsErrorDetails'
      required:
        - error_code
        - error_details
    NoBannerAssociationError:
      type: object
      properties:
        error_code:
          type: string
          enum:
            - no_banner_association
      required:
        - error_code
    StoreProductHistoryDto:
      type: object
      properties:
        id:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        updated_by_type:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/UpdatedByType'
        updated_by_id:
          type: string
          nullable: true
        updated_by_label:
          type: string
          nullable: true
        changed_fields:
          type: array
          items:
            type: string
        before:
          type: object
          nullable: true
        after:
          type: object
          nullable: true
      required:
        - id
        - created_at
        - updated_at
        - updated_by_type
        - updated_by_id
        - updated_by_label
        - changed_fields
        - before
        - after
    InsufficientPermissionsErrorDetails:
      type: object
      properties:
        resource:
          allOf:
            - $ref: '#/components/schemas/Resource'
        action:
          allOf:
            - $ref: '#/components/schemas/Action'
      required:
        - resource
        - action
    UpdatedByType:
      type: string
      enum:
        - device
        - import
        - lane
        - revision
        - rule
        - system
        - temporal
        - user
    Resource:
      type: string
      enum:
        - '*'
        - accounting_integration
        - agent_chats
        - asynchronous_tasks
        - banners
        - blackhawk_transactions
        - capabilities
        - coupons
        - custom_quick_actions
        - datacap_transactions
        - departments
        - discounts
        - ditto_auth_tokens
        - edge_agents
        - electronic_shelf_labels
        - employees
        - files
        - food_modifiers
        - gift_cards
        - gl_code_mappings
        - house_accounts
        - inventory
        - inventory_sessions
        - invoices
        - item_modifiers
        - label_dimension_sets
        - label_sheet_profiles
        - lanes
        - loyalty_bonuses
        - loyalty_campaigns
        - loyalty_rewards
        - notification_templates
        - offers
        - pos_banner_configurations
        - pos_orders
        - pos_tills
        - price_tags
        - product_ranges
        - products
        - promotions
        - purchase_orders
        - receiving
        - reporting
        - revision_sessions
        - revisions
        - roles
        - shopper_tags
        - shoppers
        - store_product_inventory_counts
        - store_product_rules
        - store_product_tag_templates
        - store_snap_incentive_program_coupons
        - store_vendor_merge_requests
        - store_vendor_product_merge_requests
        - store_vendor_products
        - store_vendors
        - stores
        - tag_printings
        - tag_template_presets
        - tag_templates
        - tax_rates
        - users
        - variable_weights
        - vendor_merge_requests
        - vendor_product_merge_requests
        - vendors
        - wallet_payments
        - wic_products
    Action:
      type: string
      enum:
        - '*'
        - cancel
        - check_in
        - create
        - delete
        - read
        - record_events
        - refund
        - restart
        - update
        - void
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

## Related topics

- [Store product history](/api/models/store-product-history.md)
- [List store products](/api-reference/store-products/list-store-products.md)
- [List processed store product rules](/api-reference/store-products/list-processed-store-product-rules.md)
